package jwiki;


/** The interface of any object that can handle a POST event in a JHandler of JWiki. 
 ** The name of the class must be like jwiki.edit for the edit POST.
 ** The class name is the action=edit part of the INPUT clause in HTML.
 **/
public interface WikiPostable {

    /**
     ** Called in a JHandler to handle a POST request from a browser.
     ** It is expected that the WikiPostable will write to h->getOut()
     ** in HTML so the browser can render something.  The out pipe is
     ** flushed for you after handlePOST is called.<BR>
     ** See JHandler.transmitHtmlPage for typical sequences.
     ** @param h The handler that called you.
     ** @param buf The byte buffer with the data part of the POST sitting in it.
     ** @param fin The already open file to read the 
     ** @throws Any exception you want.
     **/
    public void handlePOST(JHandler h, byte buf[], int bufSize)
        throws Exception;

}
